> ## Documentation Index
> Fetch the complete documentation index at: https://docs.miex.solutions/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook

> Permanently removes a webhook endpoint. Pending deliveries for this webhook will be abandoned.



## OpenAPI

````yaml DELETE /partner/webhooks/{id}
openapi: 3.0.3
info:
  title: Exchange Partner API
  version: 1.0.0
  description: >-
    REST API for exchange office partners. Authenticate with a Bearer API key
    (`sk_branch_*`, `sk_personal_*`, or `pk_*`). API key management endpoints
    use JWT Bearer auth from the staff panel.
servers:
  - url: https://api.example.com/api/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Partner — Public
    description: >-
      Read-only endpoints accessible with any key type (including pk_* public
      keys)
  - name: Partner — Exchanges
    description: Read public exchange office data and rates
  - name: Partner — Offers
    description: Browse available currency exchange rate offers
  - name: Partner — Orders
    description: Create and manage client exchange orders
  - name: Partner — Clients
    description: Register and manage client accounts
  - name: Partner — Webhooks
    description: Manage webhook endpoint registrations
  - name: API Keys
    description: Create and revoke partner API keys (JWT auth required)
paths:
  /partner/webhooks/{id}:
    delete:
      tags:
        - Partner — Webhooks
      summary: Delete a webhook endpoint
      description: >-
        Permanently removes a webhook endpoint. Pending deliveries for this
        webhook will be abandoned.
      operationId: partnerDeleteWebhook
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Webhook UUID
          example: 550e8400-e29b-41d4-a716-446655440000
      responses:
        '204':
          description: Webhook deleted successfully
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
      security:
        - bearerAuth: []
components:
  responses:
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            statusCode: 401
            message: Unauthorized
    Forbidden:
      description: API key does not have permission to access this resource
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            statusCode: 403
            message: Forbidden
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            statusCode: 404
            message: Not Found
    TooManyRequests:
      description: Rate limit exceeded (60 req/min per API key)
      headers:
        Retry-After:
          schema:
            type: integer
          description: Seconds until the rate limit window resets
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            statusCode: 429
            message: Too Many Requests
  schemas:
    Error:
      type: object
      properties:
        statusCode:
          type: integer
          example: 400
        message:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
          example: Validation failed
        error:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Partner API key. Format: `sk_branch_<32chars>`, `sk_personal_<32chars>`,
        or `pk_<32chars>` (public, read-only)

````